Index: /WAeUP_SRP/trunk/Students.py
===================================================================
--- /WAeUP_SRP/trunk/Students.py	(revision 1782)
+++ /WAeUP_SRP/trunk/Students.py	(revision 1783)
@@ -378,89 +378,4 @@
     ###)
 
-    security.declareProtected(ModifyPortalContent,"fixVerdicts")###(
-    def fixVerdicts(self,csv_file=None):
-        """fix wrong uploaded verdicts"""
-        import transaction
-        import random
-        wftool = self.portal_workflow
-        current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
-        students_folder = self.portal_url.getPortalObject().campus.students
-        tr_count = 1
-        total = 0
-        if csv_file is None:
-            name = 'Verdicts'
-        else:
-            name = csv_file
-        st_cat = self.students_catalog
-        no_import = []
-        verdicts_voc = self.portal_vocabularies.verdicts
-        rverdicts = {}
-        for k,v in verdicts_voc.items():
-            rverdicts[v.upper()] = k
-        rverdicts['STUDENT ON PROBATION'] = 'C'
-        logger = logging.getLogger('Students.StudentsFolder.fixVerdicts')
-        try:
-            verdicts = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
-        except:
-            logger.error('Error reading %s.csv' % name)
-            return
-        start = True
-        #import pdb;pdb.set_trace()
-        for verdict in verdicts:
-            if start:
-                start = False
-                logger.info('Start loading from %s.csv' % name)
-                s = ','.join(['"%s"' % fn for fn in verdict.keys()])
-                no_import.append('%s,"Error"' % s)
-                format = ','.join(['"%%(%s)s"' % fn for fn in verdict.keys()])
-                format_error = format + ',"%(Error)s"'
-            matric_no = verdict.get('MAT NO')
-            if not matric_no:
-                continue
-            matric_no = matric_no.upper()
-            if matric_no == '':
-                continue
-            verdict_code = rverdicts.get(verdict.get('CATEGORY'),None)
-            if verdict_code is None:
-                continue
-            sres = st_cat(matric_no = matric_no)
-            if sres:
-                student_id = sres[0].id
-                student_obj = getattr(students_folder,student_id,None)
-                if student_obj:
-                    study_course = getattr(student_obj,'study_course',None)
-                    if study_course is None:
-                        verdict['Error'] = "Student did not yet log in"
-                        no_import.append( format_error % verdict)
-                        continue
-                st_cat.modifyRecord(id = student_id,
-                                    verdict=verdict_code)
-
-                dsc = {}
-                dsc['current_verdict'] = verdict_code
-                study_course.getContent().edit(mapping=dsc)
-            else:
-                verdict['Error'] = "Not found in students_catalog"
-                no_import.append( format_error % verdict)
-                continue
-            tr_count += 1
-            if tr_count > 1000:
-                if len(no_import) > 0:
-                    open("%s/import/%s_not_imported%s.csv" % (i_home,name,current),"a").write(
-                             '\n'.join(no_import) + '\n')
-                    no_import = []
-                em = '%d transactions commited total %s\n' % (tr_count,total)
-                transaction.commit()
-                regs = []
-                logger.info(em)
-                total += tr_count
-                tr_count = 0
-        open("%s/import/%s_not_imported%s.csv" % (i_home,name,current),"a").write(
-                                                '\n'.join(no_import))
-        total += tr_count
-        em = '%d total transactions commited' % (total)
-        logger.info(em)
-        return self.REQUEST.RESPONSE.redirect("%s" % self.REQUEST.get('URL1'))
-    ###)
 
     security.declareProtected(ModifyPortalContent,"fixAllNames")###(
@@ -563,120 +478,5 @@
     ###)
 
-    security.declareProtected(ModifyPortalContent,"fixAllEntryModeForReturning")###(
-    def fixAllEntryModeForReturning(self):
-        "read all Returning*.csv"
-        ipath = "%s/import/" % i_home
-        names = os.listdir(ipath)
-        for name in names:
-            head,tail = os.path.splitext(name)
-            if head.startswith('Returning')\
-               and tail == '.csv'\
-               and name.find('imported') < 0:
-                self.fixEntryModeForReturning(csv_file=head)
-    ###)
-
-    security.declareProtected(ModifyPortalContent,"fixEntryModeForReturning")###(
-    def fixEntryModeForReturning(self,csv_file=None):
-        """load Returning Studentdata from CSV values"""
-        import transaction
-        import random
-        wftool = self.portal_workflow
-        current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
-        students_folder = self.portal_url.getPortalObject().campus.students
-        tr_count = 1
-        total = 0
-        if csv_file is None:
-            name = 'Returning'
-        else:
-            name = csv_file
-        table = self.returning_import
-        st_cat = self.students_catalog
-        no_import = []
-        logger = logging.getLogger('Students.StudentsFolder.fixEntryModeForReturning')
-        try:
-            returning = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
-        except:
-            logger.error('Error reading %s.csv' % name)
-            return
-        start = True
-        for student in returning:
-            if start:
-                start = False
-                logger.info('Start loading from %s.csv' % name)
-                s = ','.join(['"%s"' % fn for fn in student.keys()])
-                no_import.append('%s,"Error"' % s)
-                format = ','.join(['"%%(%s)s"' % fn for fn in student.keys()])
-                format_error = format + ',"%(Error)s"'
-            matric_no = student.get('matric_no')
-            if not matric_no:
-                continue
-            matric_no = matric_no.upper()
-            student['matric_no'] = matric_no
-            if matric_no == '':
-                continue
-            if not table(matric_no = matric_no):
-                student['Error'] = "Not imported yet"
-                no_import.append( format_error % student)
-                continue
-            student_id = None
-            app = None
-            per = None
-            if st_cat(matric_no = matric_no):
-                student_id = st_cat(matric_no = matric_no)[0].id
-                student_obj = getattr(students_folder,student_id,None)
-                if student_obj:
-                    app = getattr(student_obj,'application',None)
-                    if app is not None:
-                        app_doc = app.getContent()
-                    per = getattr(student_obj,'personal',None)
-                    if per is not None:
-                        per_doc = per.getContent()
-            student['Mode_of_Entry'] = entry_mode = student.get('Mode of Entry').upper()
-            student['Permanent_Address'] = perm_address = student.get('Permanent Address')
-            #import pdb;pdb.set_trace()
-            if not entry_mode:
-                student['Error'] = "'Mode of Entry' empty"
-                no_import.append( format_error % student)
-                continue
-            try:
-                table.modifyRecord(matric_no = matric_no,
-                                   Mode_of_Entry = entry_mode,
-                                   Permanent_Address = perm_address)
-            except KeyError:
-                student['Error'] = "Not found in returning_import"
-                no_import.append( format_error % student)
-                continue
-            if student_id is not None:
-                try:
-                    st_cat.modifyRecord(id = student_id,
-                                        entry_mode=entry_mode)
-                except KeyError:
-                    student['Error'] = "Not found in students_catalog"
-                    no_import.append( format_error % student)
-                    continue
-            if app is not None:
-                da = {}
-                da['entry_mode'] = entry_mode
-                app_doc.edit(mapping=da)
-            if per is not None:
-                dp = {}
-                dp['perm_address'] = perm_address
-                per_doc.edit(mapping=dp)
-            tr_count += 1
-            if tr_count > 1000:
-                if len(no_import) > 0:
-                    open("%s/import/%s_not_imported%s.csv" % (i_home,name,current),"a").write(
-                             '\n'.join(no_import) + '\n')
-                    no_import = []
-                em = '%d transactions commited total %s\n' % (tr_count,total)
-                transaction.commit()
-                regs = []
-                logger.info(em)
-                total += tr_count
-                tr_count = 0
-        open("%s/import/%s_not_imported%s.csv" % (i_home,name,current),"a").write(
-                                                '\n'.join(no_import))
-        return self.REQUEST.RESPONSE.redirect("%s" % self.REQUEST.get('URL1'))
-    ###)
+
 
     security.declareProtected(ModifyPortalContent,"updateReturningStudents")###(
Index: /WAeUP_SRP/trunk/Widgets.py
===================================================================
--- /WAeUP_SRP/trunk/Widgets.py	(revision 1782)
+++ /WAeUP_SRP/trunk/Widgets.py	(revision 1783)
@@ -127,7 +127,7 @@
             c_ids = [c.id for c in self.portal_catalog({'meta_type': "Course"})]
             if hasattr(self.aq_parent,value):
-                err = 'Course %s already exists' % (value)
+                err = 'course %s already exists' % (value)
             elif value not in c_ids:
-                err = 'Course %s does not exist' % (value)
+                err = 'course %s does not exist' % (value)
             if err:
                 datastructure.setError(widget_id, err)
@@ -159,5 +159,5 @@
             res = self.portal_catalog(meta_type= "Course",id = value)
             if len(res) > 0:
-                err = 'Course %s already exists' % (value)
+                err = 'course %s already exists' % (value)
             if err:
                 datastructure.setError(widget_id, err)
@@ -231,5 +231,5 @@
             elif self.portal_catalog(portal_type=portal_type_query,id=value):
                 brain = self.portal_catalog(portal_type=portal_type_query,id=value)[0]
-                err = 'An %s object with the Id %s already exists at %s'\
+                err = 'An %s object with the Id %s already exists at %s.'\
                       % (brain.portal_type,value,brain.getPath())
             if err:
@@ -305,10 +305,10 @@
         if not valid: #or not (len(value) == self.digits + self.letters and value[:self.digits].isdigit() and value[self.digits:].isalpha()):
             #err = 'Invalid number, the expected format is: %s%s with N = Number, L = Letter' % (self.digits_str,self.letters_str)
-            err = 'Invalid number'
+            err = 'invalid number'
         elif self.reference == '':
             #s = getStudentByRegNo(self,value)
             pume = jamb_nr_catalog(jamb_reg_no = value)
             if len(pume) < 1:
-                err = 'No Student with JAMB RegNo %s.' % (value)
+                err = 'no Student with JAMB RegNo %s' % (value)
             else:
                 datastructure['pume'] = pume[0]
@@ -319,5 +319,5 @@
             jamb_reg_no = record.Entryregno
             if jamb_reg_no != value:
-                err = 'Entry Registration Nr does not match.'
+                err = 'Registration number does not match.'
         if err:
             datastructure.setError(widget_id, err)
@@ -354,5 +354,5 @@
         #import pdb;pdb.set_trace()
         if not valid or len(value) < 2:
-            err = 'Invalid String'
+            err = 'invalid string'
         elif not record or datastructure.errors:
             err = 0
@@ -443,5 +443,5 @@
         value = datastructure[widget_id]
         if not valid or not value:
-            err = 'Invalid matric_no string %s.' % value
+            err = 'invalid string %s' % value
             logger.info('Invalid matric_no string %s' % value)
         else:
@@ -452,5 +452,5 @@
                 if len(res) < 1:
                     logger.info('matric_no %s not found' % value)
-                    err = 'No student with matric_no %s.' % (value)
+                    err = 'no student with matric_no %s' % (value)
                     break
                 datastructure['student'] = res[0]
@@ -458,5 +458,5 @@
                     res = results(matric_no = value)
                     if len(res) < 1:
-                        err = 'No results with matric_no %s.' % (value)
+                        err = 'no results with matric_no %s' % (value)
                         continue
                     datastructure['results'] = res
@@ -487,5 +487,5 @@
         value = datastructure[widget_id]
         if not valid or not value:
-            err = 'Invalid id string %s.' % value
+            err = 'invalid Id string %s' % value
             logger.info('Invalid id string %s' % value)
             datastructure['student'] = None
@@ -495,5 +495,5 @@
             if not res:
                 logger.info('Student id %s not found' % value)
-                err = 'No student with id %s.' % (value)
+                err = 'no student with Id %s' % (value)
                 datastructure['student'] = None
             else:
@@ -632,5 +632,5 @@
         while 1:
             if not s and g:
-                err = "no subject grad for subject %s " % s
+                err = "no subject grade for subject %s " % s
                 break
             i = 0
@@ -773,5 +773,5 @@
         elif len(n) != 10:
             do = 0
-            err = 'Invalid PIN length %d' % len(n)
+            err = 'invalid PIN length %d' % len(n)
             s_logger.info('%s entered invalid PIN with length %d' % (s_id,len(n)))
         elif self.reference == "":
@@ -790,9 +790,9 @@
                 break
             elif ok == -2:
-                err = 'Service already activated but with a different PIN.'
+                err = 'Service already is activated but with a different PIN.'
                 s_logger.info('%s/%s repeatedly activated service but with different PIN %s' % (s_id,ref,pin_str))
                 break
             elif ok == -1:
-                err = 'Invalid PIN'
+                err = 'invalid PIN'
                 s_logger.info('%s/%s entered invalid PIN %s' % (s_id,ref,pin_str))
                 break
@@ -817,5 +817,5 @@
                     s_logger.info('%s/%s successfully used PIN %s' % (s_id,ref,pin_str))
                 if student is None:
-                    err = "Student not found."
+                    err = "student not found"
                     s_logger.info('%s not found in admission list' % (ref))
                     break
@@ -830,5 +830,5 @@
                             s_logger.info('%s/%s (non-member) repeatedly checked admission with PIN %s' % (s_id,ref,pin_str))
                     else:
-                        err = "Unknown error" % s_id
+                        err = "unknown error" % s_id
                         s_logger.info('%s/%s repeatedly activated service with PIN %s' % (s_id,ref,pin_str))
                         break
Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_search_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_search_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_search_view.pt	(revision 1783)
@@ -15,5 +15,5 @@
     <metal:main fill-slot="main">
       <span tal:condition="not: is_so">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
       </span>
       <span tal:condition="is_so"
Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt	(revision 1783)
@@ -2,5 +2,5 @@
             is_so context/isSectionOfficer;"
             >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
       <a href="" tal:condition="nothing"
Index: /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt	(revision 1783)
@@ -2,5 +2,5 @@
             is_so context/isSectionOfficer;"
             >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
       <a href=""
Index: /WAeUP_SRP/trunk/skins/waeup_academics/certificates_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/certificates_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/certificates_view.pt	(revision 1783)
@@ -2,5 +2,5 @@
             is_so context/isSectionOfficer;"
             >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
       <a href=""
Index: /WAeUP_SRP/trunk/skins/waeup_academics/courses_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/courses_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/courses_view.pt	(revision 1783)
@@ -1,4 +1,4 @@
 <metal:html>
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header"
                  tal:define="global info context/getCoursesInfo;
Index: /WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt	(revision 1783)
@@ -2,5 +2,5 @@
             is_so context/isSectionOfficer;"
             >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
       <a href=""
Index: /WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt	(revision 1783)
@@ -2,5 +2,5 @@
             is_so context/isSectionOfficer;"
             >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
       <a href=""
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py	(revision 1783)
@@ -18,4 +18,7 @@
 
 info = {}
-info['doc'] = context.getContent()
+try:
+    info['doc'] = context.getContent()
+except:
+    return None
 return info
Index: /WAeUP_SRP/trunk/skins/waeup_academics/level_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/level_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/level_view.pt	(revision 1783)
@@ -2,5 +2,5 @@
             is_so context/isSectionOfficer;"
             >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
       <a href=""
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_view.pt	(revision 1783)
@@ -3,5 +3,5 @@
             beds_generated options/beds_generated|nothing;"
             >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
       <a href="" tal:condition="nothing"
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 1783)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getAccoHallInfo">
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
       <a href=""
Index: /WAeUP_SRP/trunk/skins/waeup_default/import_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/import_form.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_default/import_form.pt	(revision 1783)
@@ -7,5 +7,5 @@
            >
   <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/waeup_content_master/macros/master">
+    <metal:block use-macro="here/main_template/macros/master">
       <metal:block fill-slot="main">
       <h3>Import Data!</h3>
Index: /WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 1783)
@@ -40,7 +40,13 @@
           <li> Print your Sessional Result Slip (it includes your new Student Id for further logins), </li> 
           <li> edit your personal data record,</li> 
-          <li> book your accommodation.</li> 
+          <li> book your accommodation,</li> 
+          <li> pay your school fee,</li>
+          <li> register your courses.</li>          
           </ul>
           
+          <br />
+          <p>If you have to register for previous sessions, click "Previous Sessions" 
+          instead of "View Sess. Results".</p> 
+         
           <br />
           
@@ -89,5 +95,6 @@
           <strong><a target="_blank" href="http://files.saoas.org/Procedure_for_clearance.pdf">UME</a></strong>,
           <strong><a target="_blank" href="http://files.saoas.org/Procedure_for_clearance_Direct.pdf">DE</a></strong> (1 page).
-          After being cleared you are eligible for booking your accommodation on campus.
+          After being cleared you are eligible for booking your accommodation on campus, 
+          you must pay your school fee and register your courses online.
           </p>
           <br />
Index: /WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 1783)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/waeup_content_master/macros/master">
+<metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header"
                  tal:define="s_name context/getStudentNameInContext;
Index: /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 1783)
@@ -9,5 +9,5 @@
            is_allowed context/isSectionOfficer;
            metadata metadata|nothing;
-           template here/waeup_content_master/macros/master;
+           template here/main_template/macros/master;
            ">
 <metal:block define-macro="edit_form">
@@ -16,5 +16,5 @@
   <metal:block fill-slot="header">
     <span tal:condition="not: is_allowed">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
     </span>
     <span tal:condition="is_allowed">
Index: /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1783)
@@ -3,5 +3,5 @@
   emptybody emptybody|request/emptybody|nothing;
   mtool here/portal_membership;
-  can_raise python:mtool.assertViewable(here);
+  
   utool nocall:here/portal_url;
   atool here/portal_actions;
@@ -81,18 +81,16 @@
       <table summary="Logo Block"
              style="margin-left: auto; margin-right: auto; width: 100%;"
-             class="shapeNoBorder colorTransparent" cellpadding="0"
+             class="shapeNoBorder colorTransparent" cellpadding="0" 
              cellspacing="0">
         <tbody>
           <tr>
-            <td style="width: 20px;" valign="top"></td>
-            <td valign="top" style="width: 80px; padding: 0.5em; text-align: right;">
-              <img tal:attributes="src string:${base_url}uniben_mark.jpg"  alt="Logo"
-                       height="84" width="82" />
-            </td>
-            <td style="padding: 2em 0em 0em 0em; text-align: left;" valign="top">
-              <img tal:attributes="src string:${base_url}uniben_logo.gif" 
-                       alt="Logo" height="51" width="234" />
-            </td>
-            <td style="width: 20px;" valign="top"></td>
+            <td style="width: 20px;"></td>
+            <td valign="top" style="width: 110px; padding: 10px 10px 0 0; text-align: right;">
+              <img tal:attributes="src string:${base_url}uniben_mark.jpg"  alt="Logo" />
+            </td>
+            <td style="padding: 27px 0 0 0; text-align: left;" valign="top">
+              <img tal:attributes="src string:${base_url}uniben_logo.gif" alt="Logo" />
+            </td>
+            <td style="width: 20px;"></td>
           </tr>
         </tbody>
Index: /WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt	(revision 1783)
@@ -3,5 +3,5 @@
   emptybody emptybody|request/emptybody|nothing;
   mtool here/portal_membership;
-  can_raise python:mtool.assertViewable(here);
+
   utool nocall:here/portal_url;
   atool here/portal_actions;
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 1783)
@@ -12,4 +12,10 @@
 Info for the PaymentsFolder
 """
+
+mtool = context.portal_membership
+if mtool.isAnonymousUser():
+    return None
+
+
 #import logging
 #logger = logging.getLogger('Skins.getPaymentsFolderInfo')
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/payment_receipt.pt	(revision 1783)
@@ -3,8 +3,10 @@
                 tal:define="info context/getStudentBaseInfo;
                             info_doc context/getDocumentInfo">
-      <span tal:condition="not: info">
+      
+      <span tal:condition="python: not info or not info_doc">
         <span tal:content="here/illegal_view" />
       </span>
-      <span tal:condition="info">
+      
+      <span tal:condition="python: info and info_doc">
       
         <metal:block tal:condition="python:info_doc['doc'].resp_code in ('00','AP','IP')">            
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1783)
@@ -1,6 +1,14 @@
-<metal:body use-macro="here/waeup_content_master/macros/master">
-      <metal:block fill-slot="header"
-                   tal:define="is_student context/isStudent;
-                               s_name context/getStudentNameInContext;">
+<metal:body use-macro="here/main_template/macros/master">
+      <metal:main fill-slot="main"
+                  tal:define="info context/getPaymentsFolderInfo;">
+
+        <span tal:condition="not: info">
+          <span tal:content="here/illegal_view" />
+        </span>
+        <span tal:condition="info">
+        <span tal:define= " rows info/payments;
+                            review_state context/getStudentReviewState;
+                            is_student context/isStudent;
+                            s_name context/getStudentNameInContext;">
         <a href=""
            tal:attributes="href string:${context/aq_parent/absolute_url}">
@@ -18,9 +26,5 @@
         </h3>
         <br />
-      </metal:block>
-      <metal:main fill-slot="main"
-                  tal:define="info context/getPaymentsFolderInfo;
-                              rows info/payments;
-                              review_state context/getStudentReviewState">
+
 
         <table class="registration" width="100%">
@@ -62,6 +66,4 @@
                 />
                 
-
-
                 
         </form>  
@@ -79,7 +81,8 @@
                 />
         </form>          
-        
-        
         </div>        
+
+      </span>
+      </span>
       </metal:main>
 </metal:body>
Index: /WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1783)
@@ -4,5 +4,5 @@
                             info_app  context/getApplicationInfo">
       <span tal:condition="python: not info_acco or not info_acco['acco']">
-            <metal:block use-macro="here/error_not_found/macros/not_found" />
+            <span tal:content="here/illegal_view" />
       </span>   
       <span tal:condition="python: info_acco and info_acco['acco']">                   
